### Method

# Gimp ValueArray get_core_object_array

since: 3.0

#### Declaration [src]

    GObject**
    gimp_value_array_get_core_object_array (
      const GimpValueArray* value_array,
      gint index
    )

#### Description [src]

Return a pointer to the value at `index` contained in `value_array`. This value is supposed to be a `GimpCoreObjectArray`.

Note: most of the time, you should use the generic `gimp_value_array_index()` to retrieve a value, then the relevant `g_value_get_*()` function. This alternative function is mostly there for bindings because GObject-Introspection is not able yet to process correctly known boxed array types.

There are no reasons to use this function in C code.

Available since: 3.0

#### Parameters

`index`

  Type: `gint`

  Index of the value of interest.

#### Return value

Type: An array of `GObject*`

The `GimpCoreObjectArray` stored at `index` in `value_array`.

The array is `NULL`-terminated.
The returned data is owned by the instance.